#include<iostream>
using namespace std;

void Temperatura(double t, int skala=1);// skala= 0-st. C, 1-st. F, 2- K

void Temperatura(double t, int skala)
{
 cout<<"t=";

 switch(skala)
 {
 case 0:
  cout<<t<<" st. C";
  break;
 case 1:
  cout<<1.8*t+32<<" st. F";
  break;
 case 2:
  cout<<t+273.15<<" K";
  break;
 default:
  cout<<"nieznana skala temperatur";
  break;
 }
 cout<<endl;
}


void main()
{
 Temperatura(36.6);
 Temperatura(-12.1);
 Temperatura(22);
 Temperatura(-196,2);
 Temperatura(0,1);
 Temperatura(100,1);
}